/*
 * $Source: /opt/cvsroot/erserver/src/com/postgres/replic/util/struct/SnapshotData.java,v $
 * $Author: ronz $ $Revision: 1.1.1.1 $ $Date: 2003/10/21 13:01:40 $
 *
 */

package com.postgres.replic.util.struct;


import java.util.*;

public class SnapshotData {
    // Array list of SnapshotDataBlock objects:
    private ArrayList dataArray = new ArrayList();

    public void addBlock(SnapshotDataBlock data) {
         dataArray.add(data);
    }

    public SnapshotDataBlock getBlock(int i) {
         return (SnapshotDataBlock) dataArray.get(i);
    }

    public void removeBlock(int i) {
         dataArray.remove(i);
    }

    public int size() {
        return dataArray.size();
    }

    public void clear() {
        dataArray.clear();
    }

}

